#include "WidgetNZBCreatorDetails.h"

WidgetNZBCreatorDetails::WidgetNZBCreatorDetails(QTreeWidgetItem *item, qint64 collection_id, QDateTime stamp, QObject *parent) :
    QObject(parent)
{
    qRegisterMetaType< QList<QNZBCreator::File> >("QList<QNZBCreator::File>");

    this->item = item;
    this->collection_id = collection_id;
    this->stamp = stamp;
}

void WidgetNZBCreatorDetails::run()
{
    bool ret;
    QString errmsg;
    QList<QNZBCreator::File> files;

    ret = nzbcreator.retrieveAdditionalCollectionDetails(collection_id, stamp, errmsg, files);

    emit finished(ret, item, files, errmsg);
}
