#ifndef DOWNLOADQUEUESELECTIONMODEL_H
#define DOWNLOADQUEUESELECTIONMODEL_H

#include <QItemSelectionModel>
#include <DownloadQueueModel.h>

class DownloadQueueSelectionModel : public QItemSelectionModel
{
    Q_OBJECT
public:
    DownloadQueueSelectionModel(DownloadQueueModel *model, QObject *parent = 0);

private:
    QModelIndex deselectedSourceParent;
    int deselectedSourceStart;

signals:

public slots:
    void onRowsAboutToBeMoved(const QModelIndex &sourceParent, int sourceStart, int sourceEnd, const QModelIndex &destinationParent, int destinationRow);
    void onRowsMoved(const QModelIndex &sourceParent, int sourceStart, int sourceEnd, const QModelIndex &destinationParent, int destinationRow);
};

#endif // DOWNLOADQUEUESELECTIONMODEL_H
